Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class BasicURLRenderer

    oracle.portal.provider.v1.http.URLRenderer
      |
      +--oracle.portal.provider.v1.http.BasicURLRenderer

public class BasicURLRenderer
extends URLRenderer

BasicURLRenderer does the following things :

- Get the external application from provider.
- Construct a query string based on additional fields defined in external application
- Append the query string to login URL.
- Set this new URL as an attribute in PortletRenderer request's object store.
- Override getInlinePageUrl of super class to return the pageUrl set in above step.

Fields inherited from class oracle.portal.provider.v1.http.URLRenderer
`CHAR_ENCODING, DEFAULT_CHARACTER_ENCODING`

Constructor Summary
`BasicURLRenderer()`

Method Summary
`protected java.lang.String` | `getPageUrl(oracle.portal.provider.v1.PortletRenderRequest pr, int debugLevel)` Over-ridden method returns the attribute value of pageUrl, set through pr.setAttribute method.

Methods inherited from class oracle.portal.provider.v1.http.URLRenderer
`getCharSet, getCustomizationData, getFilter, getPageUrl, getParsedPageUrl, getURLStream, getUseInvalidationCaching, makeNVPair, prepareResponse, renderBody, renderContents, setCharSet, setFilter, setFilterType, setPageUrl, setUseInvalidationCaching`

Constructor Detail

### BasicURLRenderer

    public BasicURLRenderer()

Method Detail

### getPageUrl

    protected java.lang.String getPageUrl(oracle.portal.provider.v1.PortletRenderRequest pr,
                                          int debugLevel)
                                   throws oracle.portal.provider.v1.PortletException

  Over-ridden method returns the attribute value of pageUrl, set through pr.setAttribute method.
  Overrides:
    `getPageUrl` in class `URLRenderer`
  Following copied from class: `oracle.portal.provider.v1.http.URLRenderer`
  Parameters:
    `pr` - PortletRendererRequest
    `debugLevel` - Debug level

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD